--- old/usr/src/uts/sun4u/cpu/spitfire.c	2014-07-28 07:45:02.051221871 -0400
+++ new/usr/src/uts/sun4u/cpu/spitfire.c	2014-07-28 07:45:02.057310463 -0400
@@ -4237,7 +4237,7 @@
 
 	for (i = 0; i < mem_ce_simm_size; i++) {
 		if (psimm[i].leaky_bucket_cnt > 0)
-			atomic_add_16(&psimm[i].leaky_bucket_cnt, -1);
+			atomic_dec_16(&psimm[i].leaky_bucket_cnt);
 	}
 	add_leaky_bucket_timeout();
 }
@@ -4382,8 +4382,8 @@
 			} else if (status & ECC_PERSISTENT) {
 				int new_value;
 
-				new_value = atomic_add_16_nv(
-				    &psimm[i].leaky_bucket_cnt, 1);
+				new_value = atomic_inc_16_nv(
+				    &psimm[i].leaky_bucket_cnt);
 				psimm[i].persistent_total++;
 				if (new_value > ecc_softerr_limit) {
 					cmn_err(CE_NOTE, "[AFT0] Most recent %d"
@@ -4394,8 +4394,8 @@
 					    ecc_softerr_limit,
 					    ecc_softerr_interval / 60,
 					    ecc_softerr_interval % 60);
-					atomic_add_16(
-					    &psimm[i].leaky_bucket_cnt, -1);
+					atomic_dec_16(
+					    &psimm[i].leaky_bucket_cnt);
 					page_status = PR_MCE;
 				}
 			} else { /* Intermittent */
